:root {
  --strip-1: 10px;
  --strip-2: 15px;
  --strip-3: 28px;
  --strip-4: 34px;
  --strip-5: 50px;
}

body.theme-sweet {
  --strip-1-color: #f7bff2;
  --strip-2-color: #cc85ff;
  --strip-3-color: #f7bff2;
  --strip-4-color: #fff0fe;
  --strip-5-color: #f7bff2;
}

body.theme-gothic {
  --strip-1-color: #000;
  --strip-2-color: #4500b2;
  --strip-3-color: #000;
  --strip-4-color: #0a0077;
  --strip-5-color: #000;
}

body.theme-classic {
  --strip-1-color: #b50000;
  --strip-2-color: #efac25;
  --strip-3-color: #b50000;
  --strip-4-color: #f9bbbb;
  --strip-5-color: #b50000;
}

$from: 1;
$to: 6;

@for $i from $from to $to {
  .strip-#{$i} {
    transition: background 330ms linear;
    background: var(--strip-#{$i}-color);
    width: var(--strip-#{$i});
    height: 100vh;
    position: fixed;
    top: 0;
    z-index: $to - $i;

    &.left {
      left: 0;
    }
    &.right {
      right: 0;
    }
  }
}
